package com.atlassian.bitbucket.scm.git.ref;

import com.atlassian.bitbucket.scm.ref.AbstractRefCommandParameters;

import javax.annotation.Nonnull;

public class GitDeleteTagCommandParameters extends AbstractRefCommandParameters {

    private GitDeleteTagCommandParameters(Builder builder) {
        super(builder);
    }

    public static class Builder extends AbstractRefBuilder<Builder> {

        public Builder() {
        }

        @Nonnull
        public GitDeleteTagCommandParameters build() {
            validate();

            return new GitDeleteTagCommandParameters(this);
        }

        @Nonnull
        @Override
        protected Builder self() {
            return this;
        }
    }
}
